httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 43012] AIX instdso.sh libphp5.so
Date Thu, 03 Jan 2013 14:56:20 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=43012

--- Comment #14 from Michael Felt <mamfelt@gmail.com> ---
This is problem that will not go away... And, I am thinking it is actually an
apr bug, not httpd.

And this seems to be related to make install in a DESTDIR.

In php-X.Y.Z/Makefile

I am calling apxs, that calls instdso.sh, that calls ../apr/build-1/libtool

I modified instdso.sh (restored the 'original' from httpd-2.2.x aka 2.2.24)
with
root@x104:[/data/prj/httpd/httpd-2.2.x]diff -u build/instdso.sh
/var/httpd/build/instdso.sh                                 
--- build/instdso.sh    2012-08-31 12:41:37 +0200
+++ /var/httpd/build/instdso.sh 2013-01-03 15:41:43 +0100
@@ -49,9 +49,15 @@
     $CMD || exit $?
 fi

-CMD="$SH_LIBTOOL --mode=install cp $DSOARCHIVE $TARGETDIR/"
-echo $CMD
+CMD="$SH_LIBTOOL --debug --mode=install cp $DSOARCHIVE $TARGETDIR/"
+echo ==============@@@@@@@@@@@@@@@@@@@@@@@@@@@@@+++++++++++++++++++++++ >`tty`
+echo CMD: $CMD >`tty`
+echo ==============@@@@@@@@@@@@@@@@@@@@@@@@@@@@@+++++++++++++++++++++++ >`tty`
 $CMD || exit $?
+CMD="ls -l $DSOARCHIVE $TARGETDIR/"
+echo ============== R E S U L T @@@@@@@@@@@@@@@@+++++++++++++++++++++++ >`tty`
+echo CMD: $CMD >`tty`
+echo ============== R E S U L T @@@@@@@@@@@@@@@@+++++++++++++++++++++++ >`tty`

 if test "$SYS" = "OS/2"
 then


My result is:
/var/httpd/build/instdso.sh SH_LIBTOOL='/var/apr/build-1/libtool' libphp5.la
/var/tmp/root/php-5.3.20.0/opt/httpd/libexec
==============@@@@@@@@@@@@@@@@@@@@@@@@@@@@@+++++++++++++++++++++++
CMD: /var/apr/build-1/libtool --debug --mode=install cp libphp5.la
/var/tmp/root/php-5.3.20.0/opt/httpd/libexec/
==============@@@@@@@@@@@@@@@@@@@@@@@@@@@@@+++++++++++++++++++++++
+ test 4 -gt 0
+ opt=--mode=install
+ shift
+ func_split_long_opt --mode=install
+ set dummy --mode install cp libphp5.la
/var/tmp/root/php-5.3.20.0/opt/httpd/libexec/
+ shift
+ test 5 -gt 0
+ opt=--mode
+ shift
+ test 4 = 0
+ optarg=install
+ opt_mode=install
+ shift
+ test 3 -gt 0
+ opt=cp
+ shift
+ set dummy cp libphp5.la /var/tmp/root/php-5.3.20.0/opt/httpd/libexec/
+ shift
+ break
+ test 3 -gt 0
+ nonopt=cp
+ shift
+ test set -x = :
+ preserve_args= --debug
+ opt_duplicate_compiler_generated_deps=false
+ false
+ func_check_version_match
+ test yes != yes
+ eval std_shrext=".so"
+ std_shrext=.so
+ test -n 
+ generic_help=Try `libtool --help' for more information.
+ help=Try `libtool --help --mode=install' for more information.
+ : 1
+ to_host_path_cmd=
+ false
+ test install = compile
+ false
+ test install = execute
+ test install = finish
+ test install = install
+ func_mode_install libphp5.la /var/tmp/root/php-5.3.20.0/opt/httpd/libexec/
+ test cp = /bin/sh
+ test cp = /bin/sh
+ false
+ install_prog=
+ arg=cp
+ func_quote_for_eval cp
+ install_prog=cp
+ install_shared_prog=cp
+ install_cp=:
+ dest=
+ files=
+ opts=
+ prev=
+ install_type=
+ isdir=no
+ stripme=
+ no_mode=:
+ arg2=
+ test -n 
+ test -n 
+ dest=libphp5.la
+ continue
+ arg2=
+ test -n libphp5.la
+ files= libphp5.la
+ dest=/var/tmp/root/php-5.3.20.0/opt/httpd/libexec/
+ continue
+ test -z cp
+ test -n 
+ test -n 
+ test -z  libphp5.la
+ func_stripname  / /var/tmp/root/php-5.3.20.0/opt/httpd/libexec/
+ dest=/var/tmp/root/php-5.3.20.0/opt/httpd/libexec
+ test -d /var/tmp/root/php-5.3.20.0/opt/httpd/libexec
+ isdir=yes
+ test yes = yes
+ destdir=/var/tmp/root/php-5.3.20.0/opt/httpd/libexec
+ destname=
+ libtool_install_magic=%%%MAGIC variable%%%
+ staticlibs=
+ future_libdirs=
+ current_libdirs=
+ func_resolve_sysroot libphp5.la
+ file=libphp5.la
+ func_lalib_unsafe_p libphp5.la
+ library_names=
+ old_library=
+ relink_command=
+ func_source libphp5.la
+ . ./libphp5.la
+ dlname=libphp5.so
+ library_names=libphp5.a libphp5.a
+ old_library=
+ dependency_libs= -lrt -liconv -lz -lz -lcrypto -lcrypto -lrt -lm -liconv -lm
-liconv -lm -liconv -lm -liconv -lm -liconv -lm -liconv -lm -L/opt/lib -lrt
-liconv /opt/lib/libgmp.la /opt/lib/libintl.la -liconv -lc
/opt/lib/libfreetype.la -lz -lX11 -lXpm /opt/lib/libpng.la -lz -lm -lz -ljpeg
-lz -lcrypto -lssl -lcrypto -lrt -lm -liconv -lm -liconv -lm -liconv -lm
-liconv -lm -liconv -lm /opt/lib/libxml2.la -lpthread -liconv -lm -liconv -lm
+ current=0
+ age=0
+ revision=0
+ installed=no
+ shouldnotlink=yes
+ dlopen=
+ dlpreopen=
+ libdir=/data/prj/php/php-5.3.20/libs
+ test X/var/tmp/root/php-5.3.20.0/opt/httpd/libexec =
X/data/prj/php/php-5.3.20/libs
+ future_libdirs= /data/prj/php/php-5.3.20/libs
+ func_dirname libphp5.la / 
+ dir=
+ dir=.libs
+ test -n 
+ set dummy libphp5.a libphp5.a
+ shift
+ test -n libphp5.a
+ realname=libphp5.a
+ shift
+ srcname=libphp5.a
+ test -n 
+ func_show_eval cp .libs/libphp5.a
/var/tmp/root/php-5.3.20.0/opt/httpd/libexec/libphp5.a exit $?
+ tstripme=
+ test -n 
+ test 1 -gt 0
+ test libphp5.a != libphp5.a
+ lib=/var/tmp/root/php-5.3.20.0/opt/httpd/libexec/libphp5.a
+ func_execute_cmds  exit $?
+ save_ifs=     

+ IFS=~
+ IFS=  

+ func_basename libphp5.la
+ name=libphp5.la
+ instname=.libs/libphp5.lai
+ func_show_eval cp .libs/libphp5.lai
/var/tmp/root/php-5.3.20.0/opt/httpd/libexec/libphp5.la exit $?
+ test -n 
+ test -n  /data/prj/php/php-5.3.20/libs
+ func_warning remember to run `libtool --finish /data/prj/php/php-5.3.20/libs'
libtool: install: warning: remember to run `libtool --finish
/data/prj/php/php-5.3.20/libs'
+ test -n 
+ exit 0
============== R E S U L T @@@@@@@@@@@@@@@@+++++++++++++++++++++++
CMD: ls -l libphp5.la /var/tmp/root/php-5.3.20.0/opt/httpd/libexec/
============== R E S U L T @@@@@@@@@@@@@@@@+++++++++++++++++++++++
chmod 755 /var/tmp/root/php-5.3.20.0/opt/httpd/libexec/libphp5.so
chmod: cannot access `/var/tmp/root/php-5.3.20.0/opt/httpd/libexec/libphp5.so':
A file or directory in the path name does not exist.
apxs:Error: Command failed with rc=65536
.
make: *** [install-sapi] Error 1
make install returned an error
===========
Not sure what the command above should be doing, but the contents of .libs is:

root@x104:[/data/prj/php/php-5.3.20]ls -l .libs
total 56732
-rw-r--r-- 1 root system 29144491 Jan  3  2013 libphp5.a
-rw-r--r-- 1 root system   127810 Jan  3  2013 libphp5.exp
lrwxrwxrwx 1 root system       13 Jan  3  2013 libphp5.la -> ../libphp5.la
-rw-r--r-- 1 root system     1200 Jan  3  2013 libphp5.lai
-rwxr-xr-x 1 root system 28785709 Jan  3  2013 libphp5.so
root@x104:[/data/prj/php/php-5.3.20]ar tv .libs/libphp5.a
rwxr-xr-x     0/0     28785709 Jan 03 15:53 2013 libphp5.so


Suggestions! e.g., a new bug in APR? or is it ultimately "libtool" that is
failing?

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message